package com.fs.hisStore.service;

import java.util.List;
import com.fs.hisStore.domain.FsStoreProductGroupScrm;

/**
 * 商品组合Service接口
 * 
 * @author fs
 * @date 2022-11-23
 */
public interface IFsStoreProductGroupScrmService 
{
    /**
     * 查询商品组合
     * 
     * @param groupId 商品组合ID
     * @return 商品组合
     */
    public FsStoreProductGroupScrm selectFsStoreProductGroupById(Long groupId);

    /**
     * 查询商品组合列表
     * 
     * @param fsStoreProductGroup 商品组合
     * @return 商品组合集合
     */
    public List<FsStoreProductGroupScrm> selectFsStoreProductGroupList(FsStoreProductGroupScrm fsStoreProductGroup);

    /**
     * 新增商品组合
     * 
     * @param fsStoreProductGroup 商品组合
     * @return 结果
     */
    public int insertFsStoreProductGroup(FsStoreProductGroupScrm fsStoreProductGroup);

    /**
     * 修改商品组合
     * 
     * @param fsStoreProductGroup 商品组合
     * @return 结果
     */
    public int updateFsStoreProductGroup(FsStoreProductGroupScrm fsStoreProductGroup);

    /**
     * 批量删除商品组合
     * 
     * @param groupIds 需要删除的商品组合ID
     * @return 结果
     */
    public int deleteFsStoreProductGroupByIds(Long[] groupIds);

    /**
     * 删除商品组合信息
     * 
     * @param groupId 商品组合ID
     * @return 结果
     */
    public int deleteFsStoreProductGroupById(Long groupId);

    FsStoreProductGroupScrm selectFsStoreProductGroupByBarCode(String groupBarCode);
}
